Bug 1284810 - mingw-gnutls links with unneeded libraries
mingw-gnutls links with unneeded libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-gnutls (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 04:38 EST by Nikos Mavrogiannopoulos
Modified: 2015-12-08 14:53 EST (History)
3 users (show)

See Also:
Fixed In Version: mingw-gnutls-3.4.7-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 14:53:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Patch (1.61 KB, text/plain)
2015-11-24 04:38 EST, Nikos Mavrogiannopoulos
no flags Details

  None (edit)
Description Nikos Mavrogiannopoulos 2015-11-24 04:38:23 EST
Created attachment 1098097 [details]
Proposed Patch

Description of problem:
I realized that libgnutls-30.dll links to iconv.dll and libintl.dll which are not necessary, and in fact they only drag unneeded stuff. gnutls supports the windows UCS conversion functions thus iconv shouldn't be used. I attach a patch which reduces the dependencies without reducing functionality.

I have not managed to remove libwinpthread.dll as a dependency even though gnutls doesn't use posix threads in windows, but rather uses the native threads.
Comment 1 Richard W.M. Jones 2015-11-24 08:18:09 EST
If you're a packager, apply for co-maintainership for the package,
then you'll be able to apply the fix yourself.
Comment 2 Nikos Mavrogiannopoulos 2015-11-24 08:29:45 EST
I am a packager but I don't want to get to maintain this package if that's what you mean.
Comment 3 Michael Cronenworth 2015-11-24 09:53:55 EST
Richard, Nikos, I've been primarily maintaining this package for a while and I can continue to do so. I will review the gnutls/p11-kit patches soon.
Comment 4 Nikos Mavrogiannopoulos 2015-11-25 03:02:47 EST
One other option I noticed is passing to configure the
'--with-default-trust-store-pkcs11="pkcs11:model=p11-kit-trust;manufacturer=PKCS%2311%20Kit"'

It is questionable whether it is needed. It will set p11-kit trust module the primary trust store for windows, but I have never seen a p11-kit trust module setup for windows. By default (if this option is not given) gnutls uses the windows trust store which is a much more reliable location for both wine and native windows programs to consult.
Comment 5 Fedora Update System 2015-11-27 19:21:38 EST
mingw-gnutls-3.4.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5d92f6481b
Comment 6 Fedora Update System 2015-11-28 21:23:05 EST
mingw-gnutls-3.4.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update mingw-gnutls'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5d92f6481b
Comment 7 Fedora Update System 2015-12-08 14:53:21 EST
mingw-gnutls-3.4.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.